Get API Key
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/5/aaa/api-keys/v3/{key_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/aaa/api-keys/v3/{key_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/5/aaa/api-keys/v3/{key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"keyInfo": {
"accessPolicy": "{\"version\":\"2025-01-01\",\"default\":{\"permissions\":{\"data-ingest-api-keys:ReadAccessPolicy\":\"grant\",\"data-ingest-api-keys:Manage\":\"deny\",\"data-ingest-api-keys:UpdateAccessPolicy\":\"deny\",\"data-ingest-api-keys:ReadConfig\":\"grant\"}},\"rules\":[]}",
"active": true,
"hashed": true,
"id": "<string>",
"keyPermissions": {
"permissions": [
"<string>"
],
"presets": [
{
"name": "my_preset",
"permissions": [
"read_logs"
]
}
]
},
"name": "my_api_key",
"owner": {
"userId": "<string>",
"organisationId": "<string>",
"teamId": 1
},
"value": "<string>"
}
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}API Keys Service
Get API Key
Returns the details of the specified API key.
Get API Key
Authorizations
API key authentication
Path Parameters
Key identifier.
Example:
"my_key_id"
Response
This data structure is the response obtained when retrieving an API key.
This data structure represents the information associated with an API key.
Show child attributes
Show child attributes
Was this page helpful?
⌘I